%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate simdutf8

Name:           rust-simdutf8
Version:        0.1.4
Release:    1%{?dist}
Summary:        SIMD-accelerated UTF-8 validation

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/simdutf8
Source0:         %{crates_source}

Patch:          0001-remove-harmful-deny-warnings-lint.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
SIMD-accelerated UTF-8 validation.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-Apache
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/wasm32-development.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+aarch64_neon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+aarch64_neon-devel %{_description}

This package contains library source intended for building other packages which
use the "aarch64_neon" feature of the "%{crate}" crate.

%files       -n %{name}+aarch64_neon-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+aarch64_neon_prefetch-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+aarch64_neon_prefetch-devel %{_description}

This package contains library source intended for building other packages which
use the "aarch64_neon_prefetch" feature of the "%{crate}" crate.

%files       -n %{name}+aarch64_neon_prefetch-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hints-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hints-devel %{_description}

This package contains library source intended for building other packages which
use the "hints" feature of the "%{crate}" crate.

%files       -n %{name}+hints-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+public_imp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+public_imp-devel %{_description}

This package contains library source intended for building other packages which
use the "public_imp" feature of the "%{crate}" crate.

%files       -n %{name}+public_imp-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.4-1
- initial build
